[package]
name = "artificers-scrollwork"
version = "0.1.0"
edition = "2021"

[lib]
name = "artificers_scrollwork_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
tauri = { version = "2", features = [] }
tauri-plugin-dialog = "2"
tauri-plugin-shell = "2"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
rusqlite = { version = "0.31", features = ["bundled"] }
anyhow = "1"
uuid = { version = "1", features = ["v4"] }
byteorder = "1"
flate2 = "1"
image = { version = "0.25", features = ["dds"] }
once_cell = "1"
tokio = { version = "1", features = ["full"] }
walkdir = "2"
reqwest = { version = "0.12", features = ["json", "stream"] }
futures-util = "0.3"

[features]
custom-protocol = ["tauri/custom-protocol"]
